Add Tracking Number
1 min
POST
https://api.upstartcommerce.com/v1/order/{orderId}/shipments/{shipmentId}/trackingnumber
orderIdstring<uuid>The parameterized order id in the URI.
shipmentIdstring<uuid>Unique identifier for the shipment that needs to be transitioned.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobject<p>The JSON-structured tracking data to append to the order.</p>
200<p>Success-tracking information updated.</p>
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request POST \
--url https://api.upstartcommerce.com/v1/order/{orderId}/shipments/{shipmentId}/trackingnumber \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"trackingNumber": "",
"packageTrackingNumberMap": {}
}'